Bug 536635 - (RHQ-965) support dynagroup'ing by availability (UP and DOWN)
support dynagroup'ing by availability (UP and DOWN)
Status: CLOSED NEXTRELEASE
Product: RHQ Project
Classification: Other
Component: Resource Grouping (Show other bugs)
unspecified
All All
low Severity medium (vote)
: ---
: ---
Assigned To: Joseph Marques
Jeff Weiss
http://jira.rhq-project.org/browse/RH...
: SubFeature
Depends On: RHQ-1266
Blocks: RHQ-399
  Show dependency treegraph
 
Reported: 2008-10-08 17:48 EDT by Joseph Marques
Modified: 2014-11-09 17:50 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.2
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joseph Marques 2008-10-08 17:48:00 EDT
support syntax like:

resource.availability = DOWN
resource.availability = UP

test to make sure we can use this in conjunction with type groupings such as:

// find all downed resources in the system, grouped by type
groupby resource.type.plugin
groupby resource.type.name
resource.availability = DOWN
Comment 1 Joseph Marques 2008-10-09 10:18:19 EDT
rev1730 - add support for "resource.availability = (DOWN|UP)" expression in dynagroup creation; 
Comment 2 Jeff Weiss 2008-12-22 09:03:52 EST
Ran the tests from the description, works as expected.  rev2424.
Comment 3 Red Hat Bugzilla 2009-11-10 16:20:35 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-965

Note You need to log in before you can comment on or make changes to this bug.